Jump to content

tipoul

Level 1
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About tipoul

Profile Information

  • Subscription
    BASIC
  1. Hello, I would like to have evernote on my old mac, (imac 24, from 2008, OS X version 10.9.5). my imac runs pretty well, and I will not upgrade it on recent OS X version. How can i access to and install the must compatible Evernote release with my imac version ? thanks.
×
×
  • Create New...